Announcement

Collapse
No announcement yet.

Partner 728x90

Collapse

NinjaTrader 8.0.23, .Net Framework 4.8 and C# Version

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    #16
    Him Jim - Please add my vote too. Moving to C# 7.3 (latest C# version for .NET Framework 4.8) will bring us developers a lot of nice syntactic sugar that reduces the amount of code needed. i.e. (null conditional operator). I understand that I we can use a later C# version in our DLLs, however most of development I do is in the NT custom DLL, where it's currently limited.

    Comment


      #17
      Thanks for your feedback FaaastEddy,

      Your vote has been added.
      JimNinjaTrader Customer Service

      Comment


        #18
        Please add my vote +1

        Comment


          #19
          Thanks for your feedback cls71,

          Your vote has been added.
          JimNinjaTrader Customer Service

          Comment


            #20
            +1
            Add my vote. Thank you.

            Comment


              #21
              Thanks for your feedback wildwex,

              Your vote has been added.
              JimNinjaTrader Customer Service

              Comment


                #22
                Please add my vote for C# 8.0

                Comment


                  #23
                  Thanks for the feedback gregschr,

                  Your vote has been added.
                  JimNinjaTrader Customer Service

                  Comment


                    #24
                    Please upgrade NT8 to .NET framework v5.

                    Comment


                      #25
                      Welcome to the forums Carterlist!

                      Your feedback has been tracked.
                      JimNinjaTrader Customer Service

                      Comment


                        #26
                        Originally posted by NinjaTrader_Jim View Post
                        Welcome to the forums Carterlist!

                        Your feedback has been tracked.
                        +1 my vote for C# 6.0 and
                        +1 my vote for .NET core / .NET 5.0 please I want to use machine learning libraries and NinjaTrader is a huge bottleneck right now by being an older .NET version which doesn't support ML.Net

                        Comment


                          #27
                          Thanks for your input JakeOfSpades!

                          Your feedback has been tracked.
                          JimNinjaTrader Customer Service

                          Comment


                            #28
                            Originally posted by NinjaTrader_Jim View Post
                            Thanks for your input JakeOfSpades!

                            Your feedback has been tracked.
                            Thanks Jim

                            Comment

                            Latest Posts

                            Collapse

                            Topics Statistics Last Post
                            Started by Bydwoeoqwe, Today, 09:34 PM
                            0 responses
                            1 view
                            0 likes
                            Last Post Bydwoeoqwe  
                            Started by nutmame1, Today, 08:26 PM
                            0 responses
                            5 views
                            0 likes
                            Last Post nutmame1  
                            Started by dr0832, Today, 07:02 PM
                            0 responses
                            11 views
                            0 likes
                            Last Post dr0832
                            by dr0832
                             
                            Working...
                            X